中危 awstats up to 6.8 awstats.pl 跨站脚本攻击

CVE编号

CVE-2008-5080

利用情况

暂无

补丁情况

没有补丁

披露时间

2008-12-04 07:30:00
漏洞描述
AWStats是一款流行的基于Web的网站流量分析软件。
AWStats的awstats.pl脚本没有正确地过滤config请求参数,如果用户跟随了恶意链接的话就可能导致在浏览器会话中注入并执行任意web脚本或HTML代码。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 awstats awstats * Up to
(including)
6.8
运行在以下环境
应用 awstats awstats 5.0 -
运行在以下环境
应用 awstats awstats 5.1 -
运行在以下环境
应用 awstats awstats 5.2 -
运行在以下环境
应用 awstats awstats 5.3 -
运行在以下环境
应用 awstats awstats 5.4 -
运行在以下环境
应用 awstats awstats 5.5 -
运行在以下环境
应用 awstats awstats 5.6 -
运行在以下环境
应用 awstats awstats 5.7 -
运行在以下环境
应用 awstats awstats 5.8 -
运行在以下环境
应用 awstats awstats 5.9 -
运行在以下环境
应用 awstats awstats 6.0 -
运行在以下环境
应用 awstats awstats 6.1 -
运行在以下环境
应用 awstats awstats 6.2 -
运行在以下环境
应用 awstats awstats 6.3 -
运行在以下环境
应用 awstats awstats 6.4 -
运行在以下环境
应用 awstats awstats 6.5 -
运行在以下环境
应用 awstats awstats 6.6 -
运行在以下环境
应用 awstats awstats 6.7 -
运行在以下环境
系统 debian_4.0 awstats * Up to
(excluding)
6.5+dfsg-1+etch1
阿里云评分
6.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    没有补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况